//*-*-Skylec Shader-*-*

#version 120
#include "/include/lib.h"
uniform sampler2D texture;
uniform vec3 skyColor;
varying vec2 texcoord;
varying vec4 glcolor;
void main(){
vec4 diffuse=texture2D(texture, texcoord)*glcolor;
#ifdef ORIGINAL_TONEMAP
float day=saturate(skyColor.r*2.);
diffuse.rgb=mix(toneMap(diffuse.rgb,nightColor),diffuse.rgb,day);
#endif
gl_FragData[0]=diffuse;
}