//*-*-Skylec Shader-*-*

#version 120
#include "/include/lib.h"
attribute vec4 mc_Entity;
uniform mat4 gbufferModelView;
uniform mat4 gbufferModelViewInverse;
uniform vec3 sunPosition;
uniform vec3 cameraPosition;
varying float isWater;
varying vec2 lmcoord;
varying vec2 texcoord;
varying vec3 glnormal;
varying vec3 sunPos;
varying vec3 cPos;
varying vec3 wPos;
varying vec4 glcolor;
void main(){
gl_Position=ftransform();
texcoord=(gl_TextureMatrix[0]*gl_MultiTexCoord0).xy;
lmcoord=(gl_TextureMatrix[1]*gl_MultiTexCoord1).xy;
glcolor=gl_Color;
glnormal=gl_Normal;
sunPos=(vec4(sunPosition,1.)*gl_ModelViewMatrix).rgb;
vec4 pos=gbufferModelViewInverse*gl_ModelViewMatrix*gl_Vertex;
cPos=pos.xyz+cameraPosition;
isWater=0.;
float bID=mc_Entity.x;
if(bID==8.||bID==9.)isWater=1.;
float wNoise=sin(frameTimeCounter*.3+noise(cPos.xz+cPos.x+cPos.y+cPos.z))*WIND_STRENGTH*lmcoord.y;
if(isWater>=.5)pos.y+=sin(frameTimeCounter*3.+cPos.x*.3+cPos.y*3.3+cPos.z*.5)*.07*wNoise;
wPos=pos.xyz;
gl_Position=gl_ProjectionMatrix*gbufferModelView*pos;
}