//*-*-Skylec Shader-*-*

#version 120
#include "/include/lib.h"
attribute vec4 mc_Entity;
uniform mat4 gbufferModelView;
uniform mat4 gbufferModelViewInverse;
uniform vec3 sunPosition;
uniform vec3 cameraPosition;
varying float isPlant;
varying float isSnow;
varying float isOre;
varying vec2 lmcoord;
varying vec2 texcoord;
varying vec3 glnormal;
varying vec3 sunPos;
varying vec3 nPos;
varying vec3 cPos;
varying vec3 wPos;
varying vec4 glcolor;

void main(){
gl_Position=ftransform();
texcoord=(gl_TextureMatrix[0]*gl_MultiTexCoord0).xy;
lmcoord=(gl_TextureMatrix[1]*gl_MultiTexCoord1).xy;
glcolor=gl_Color;
glnormal=gl_Normal;
isPlant=0.;
isSnow=0.;
isOre=0.;
sunPos=(vec4(sunPosition,1.)*gl_ModelViewMatrix).rgb;
vec4 pos=gbufferModelViewInverse*gl_ModelViewMatrix*gl_Vertex;
cPos=pos.xyz+cameraPosition;
nPos=(gl_Vertex).xyz;
float bID=mc_Entity.x;
if(bID==141.||bID==142.||bID==59.||bID==106.||bID==127.||bID==175.||bID==83.||bID==32.||bID==37.||bID==38.||bID==31.||bID==115.||bID==6.||bID==39.||bID==40.||bID==104.||bID==105.)isPlant=1.;
if(bID==78.)isSnow=1.;
if(mc_Entity.x==56.||mc_Entity.x==73.||mc_Entity.x==129.||mc_Entity.x==14.||mc_Entity.x==15.||mc_Entity.x==21.||mc_Entity.x==79.)isOre=1.;
float wNoise=sin(frameTimeCounter*.3+noise(cPos.xz+cPos.x+cPos.y+cPos.z))*WIND_STRENGTH*smoothstep(.3,.8,lmcoord.y);
if(isPlant>=.5)pos.xz+=vec2(sin(frameTimeCounter*3.+cPos.x*2.+cPos.y*.9),sin(frameTimeCounter*3.+cPos.z*2.+cPos.y*1.2))*.05*wNoise;
if(bID==18.||bID==161.)pos.xz+=vec2(sin(frameTimeCounter*3.+cPos.x*.9+cPos.y*.6),sin(frameTimeCounter*3.+cPos.z*.8+cPos.y*1.6))*.05*wNoise;
wPos=pos.xyz;
gl_Position=gl_ProjectionMatrix*gbufferModelView*pos;
}