//*-*-Skylec Shader-*-*

#version 120
#include "/include/lib.h"
uniform mat4 gbufferModelView;
uniform mat4 gbufferModelViewInverse;
uniform vec3 cameraPosition;
varying vec2 texcoord;
varying vec4 glcolor;

void main(){
gl_Position=ftransform();
texcoord=(gl_TextureMatrix[0]*gl_MultiTexCoord0).xy;
glcolor=gl_Color;
vec4 pos=gbufferModelViewInverse*gl_ModelViewMatrix*gl_Vertex;
gl_Position=gl_ProjectionMatrix*gbufferModelView*pos;
}