//*-*-Skylec Shader-*-*

#version 120
#include "/include/lib.h"
uniform mat4 gbufferModelView;
uniform mat4 gbufferModelViewInverse;
uniform vec3 cameraPosition;
uniform vec3 sunPosition;
varying vec4 starData;
varying vec3 glnormal;
varying vec3 sunPos;
varying vec3 cPos;
varying vec3 wPos;

void main(){
gl_Position=ftransform();
starData=vec4(gl_Color.rgb,float(gl_Color.r==gl_Color.g&&gl_Color.g==gl_Color.b&&gl_Color.r>-.0));
vec4 pos=gbufferModelViewInverse*gl_ModelViewMatrix*gl_Vertex;
cPos=pos.xyz+cameraPosition;
pos.y-=length(pos.xz)*.2;
wPos=pos.xyz;
glnormal=gl_Normal;
sunPos=(vec4(sunPosition,1.)*gl_ModelViewMatrix).rgb;
gl_Position=gl_ProjectionMatrix*gbufferModelView*pos;
}