#version 120
#include "/include/lib.h"

uniform sampler2D lightmap;
uniform sampler2D texture;
uniform int isEyeInWater;

varying vec2 lmcoord;
varying vec2 texcoord;
varying vec4 glcolor;

void main(){
vec4 diffuse=texture2D(texture,texcoord)*glcolor;
#ifdef ORIGINAL_WATER
float lmy=1.;
if(isEyeInWater!=1)lmy=lmcoord.y;
diffuse*=texture2D(lightmap,vec2(lmcoord.x,lmy));
#else
diffuse*=texture2D(lightmap,lmcoord);
#endif

gl_FragData[0]=diffuse;
}